"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantScore(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "cohort1",
        "id",
        "score",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_8 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.VariantScore": opencb_2_9_3.VariantScore,
        }

    __slots__ = [
        "cohort1",
        "id",
        "score",
        "cohort2",
        "pValue",
    ]

    def __init__(
        self,
        cohort1,
        id,
        score,
        cohort2=None,
        pValue=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.VariantScore model.

        :param cohort1:
            Main cohort used for calculating the score.
        :type cohort1: str
        :param id:
            Variant score ID.
        :type id: str
        :param score:
            Score value
        :type score: float
        :param cohort2:
            Optional secondary cohort used for calculating the score.
        :type cohort2: None | str
        :param pValue:
            Score p value
        :type pValue: None | float
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
